Set Standards-Version to 3.9.2 (no changes).
[debian/bti.git] / debian / changelog
1 bti (031-2) UNRELEASED; urgency=low
2
3   * New patch debian/patches/identi.ca-oauth.patch: change identica_* OAuth
4     URI's to point to https instead of http (closes: #602507).
5   * Set Standards-Version to 3.9.2 (no changes).
6
7  -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 20:27:38 +0200
8
9 bti (031-1) unstable; urgency=low
10
11   * New upstream release:
12     - addresses "bti doesn't warn if the password is incorrect": check server
13       replies in non-background mode, only in non-OAuth mode
14       (partly solves #602502)
15
16  -- gregor herrmann <gregoa@debian.org>  Tue, 22 Mar 2011 17:18:10 +0100
17
18 bti (030-1) unstable; urgency=low
19
20   * New upstream release.
21   * Switch to debhelper 8.
22
23  -- gregor herrmann <gregoa@debian.org>  Fri, 18 Mar 2011 12:32:44 +0100
24
25 bti (029-2) unstable; urgency=low
26
27   * Upload to unstable.
28
29  -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:32:28 +0100
30
31 bti (029-1) experimental; urgency=low
32
33   * New upstream release: includes fixes for
34     + "the --dry-run option has no effect (tweets get posted anyway)
35        with OAuth" (closes: #608608)
36     + "--replyto doesn't work with OAuth" (closes: #608112)
37   * laconi.ca was renamed to StatusNet (in August 2009); adjust package
38     description and add a patch to change the name in the manpage and the
39     example config; thanks to Julien Valroff for the bug report
40     (closes: #605407).
41   * Drop patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch, applied
42     upstream.
43   * Refresh remaining patches.
44   * debian/copyright: update years of upstream and packaging copyright; update
45     formatting.
46   * Don't install README anymore.
47   * Upload to experimental because of the freeze.
48
49  -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 02:43:10 +0100
50
51 bti (028-2) unstable; urgency=low
52
53   * Add patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch by Amir
54     Mohammad Saied which adds the oauth_callback parameter to the identi.ca
55     request_token URI in order to make OAuth work with identi.ca
56     (closes: #602507).
57   * Minor fixes in README.Debian.
58
59  -- gregor herrmann <gregoa@debian.org>  Wed, 24 Nov 2010 18:03:23 +0100
60
61 bti (028-1) unstable; urgency=low
62
63   * New upstream release:
64     - support for replying to notices
65     - adds OAuth support for both twitter and identi.ca (closes: #588235)
66     - split --background from --bash, and make the latter imply the former
67   * Refresh manpage-debian.patch.
68   * Set Standards-Version to 3.9.1 (no changes).
69   * Add build dependency on liboauth-dev.
70   * debian/rules: switch order of dh arguments (preparation for dh8).
71   * debian/copyright: update years of upstream copyright.
72   * Add README.Debian about OAuth usage.
73
74  -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2010 23:00:59 +0100
75
76 bti (026-1) unstable; urgency=low
77
78   * Bump build dependency on bash-completion (needed for --with
79     bash-completion in debian/rules).
80
81   * New upstream release.
82   * Refresh patch manpage-debian.patch and DEP3 patch headers.
83   * debian/copyright: refresh DEP5 header, update years of packaging
84     copyright.
85   * Set Standards-Version to 3.8.4 (no changes).
86   * Convert to source format 3.0 (quilt). Remove quilt framework.
87     Lower debhelper dependency.
88
89  -- gregor herrmann <gregoa@debian.org>  Wed, 19 May 2010 21:41:04 +0200
90
91 bti (025-1) unstable; urgency=low
92
93   * New upstream release: 
94     - set default host to twitter (closes: #563098)
95     - mention correct host in prompts (closes: #563099)
96
97  -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jan 2010 01:29:11 +0100
98
99 bti (024-1) unstable; urgency=low
100
101   * New upstream release:
102     - do not display password while user types it (LP: #386525)
103     - disable echo when reading the password
104     - add laconica group support
105   * debian/control: add Homepage field and adjust long description.
106   * Use "--with bash-completion" in debian/rules to install bash-completion
107     snippet; bump build dependencies on debhelper and bash-completion in
108     debian/control.
109
110  -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2009 17:09:28 +0100
111
112 bti (023-2) unstable; urgency=low
113
114   * Build depend on libreadline-dev instead of libreadline5-dev, thanks to
115     Matthias Klose for the pointer.
116   * Set Standards-Version to 3.8.3 (no changes).
117   * Add debian/README.source to document quilt usage.
118   * Simplify debian/rules, adjust versioned build dependencies on debhelper
119     and quilt in debian/control.
120   * Use dh_bash-completion for installing the completion snippet; adjust
121     debian/rules, add a versioned build dependency on bash-completion.
122
123  -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 16:14:08 +0200
124
125 bti (023-1) unstable; urgency=low
126
127   * New upstream release, main changes:
128     - new 'verbose' mode
129     - SSL also for twitter
130   * debian/copyright: add new additional copyright holder.
131   * Refresh patch manpage-debian.patch.
132   * debian/control: mention additional actions in long description.
133
134  -- gregor herrmann <gregoa@debian.org>  Thu, 28 May 2009 17:37:08 +0200
135
136 bti (022-1) unstable; urgency=low
137
138   * New upstream release, main changes:
139     - support for custim laconi.ca instances
140     - use SSL for identi.ca
141   * debian/copyright: add additional copyright holder.
142
143  -- gregor herrmann <gregoa@debian.org>  Wed, 06 May 2009 23:05:42 +0200
144
145 bti (021-1) unstable; urgency=low
146
147   * New upstream release, contains changes in autoconf tools:
148     - simplify debian/rules and debian/install
149     - replace xmtlo with xsltproc, docbook-xsl, docbook-xml in debian/control
150
151  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Apr 2009 17:12:53 +0200
152
153 bti (020-1) unstable; urgency=low
154
155   * New upstream release:
156     - remove patch getopt.patch, included upstream
157     - remove manpage for bti-shrink-urls from debian/, included upstream
158     - upstream uses autoconf, adjust debian/rules and debian/install, remove
159       debian/manpages
160
161  -- gregor herrmann <gregoa@debian.org>  Tue, 14 Apr 2009 20:40:24 +0200
162
163 bti (017-1) unstable; urgency=low
164
165   * New upstream release.
166   * Add build-dependency on libpcre3-dev.
167   * Refresh patch manpage-debian.patch.
168   * debian/install: add new bti-shrink-urls.
169   * debian/copyright: add information about bti-shrink-urls.
170   * Create a manpage for bti-shrink-urls.
171   * debian/rules: skip dh_auto_install (upstream Makefile now has an install
172     target which is not easier to use than the manual installation we've been
173     using).
174   * Add a new patch getopt.patch to make the new commandline options available
175     in bti.c.
176
177  -- gregor herrmann <gregoa@debian.org>  Tue, 24 Mar 2009 20:47:41 +0100
178
179 bti (015-1) unstable; urgency=low
180
181   * New upstream release; from the RELEASE-NOTES:
182     "--action support, bti now can output data from the twitter
183     and identica servers".
184   * Add build dependency on libxml2-dev.
185   * Refresh patch manpage-debian.patch.
186   * Set Standards-Version to 3.8.1 (no changes).
187
188  -- gregor herrmann <gregoa@debian.org>  Thu, 12 Mar 2009 17:17:11 +0100
189
190 bti (014-1) unstable; urgency=low
191
192   * New upstream release.
193
194  -- gregor herrmann <gregoa@debian.org>  Sat, 14 Feb 2009 18:36:36 +0100
195
196 bti (013-1) unstable; urgency=low
197
198   * New upstream release.
199   * Use dh_install instead of dh_bash-completion to install the bash
200     completion snippet in order to work around a problem on the amd64 buildd
201     (closes: #513115). Drop build dependency on bash-completion.
202
203  -- gregor herrmann <gregoa@debian.org>  Thu, 05 Feb 2009 20:54:54 +0100
204
205 bti (012-1) unstable; urgency=low
206
207   * New upstream release.
208   * Install the new bash completion script; add bash-completion to
209     Build-Depends and Suggests.
210   * Refresh patch manpage-debian.patch.
211
212  -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 00:52:13 +0100
213
214 bti (011-1) unstable; urgency=low
215
216   * New upstream release.
217   * Add build dependency on libreadline5-dev.
218
219  -- gregor herrmann <gregoa@debian.org>  Tue, 20 Jan 2009 17:05:57 +0100
220
221 bti (010-1) unstable; urgency=low
222
223   * New upstream release, includes a new --proxy option and honours the
224     http_proxy environment variable (closes: #511087).
225   * Refresh patch manpage-debian.patch.
226
227  -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2009 22:46:19 +0100
228
229 bti (008-1) unstable; urgency=low
230
231   * New upstream release (due to december twitter server change).
232   * Update years of packaging copyright.
233
234  -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jan 2009 06:01:45 +0100
235
236 bti (007-1) unstable; urgency=low
237
238   * New upstream release.
239
240  -- gregor herrmann <gregoa@debian.org>  Sun, 26 Oct 2008 23:36:48 +0100
241
242 bti (006-1) unstable; urgency=low
243
244   * Initial release (Closes: #503241)
245
246  -- gregor herrmann <gregoa@debian.org>  Fri, 24 Oct 2008 20:53:07 +0200